# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=8

inherit toolchain-funcs multilib

DESCRIPTION="64tass is cross assembler targeting the 65xx series of micro processors. Supports 6502, 65C02, R65C02, W65C02, 65CE02, 65816, DTV, 65EL02, 4510"
HOMEPAGE="https://sourceforge.net/projects/tass64/"
SRC_URI="https://sourceforge.net/projects/tass64/files/source/${PN}-${PV}-src.zip"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="doc"

DEPEND=""
RDEPEND=""

S="${WORKDIR}"/${PN}-${PV}-src

src_compile() {
	emake CC="$(tc-getCC)" AR="$(tc-getAR)" prefix=${EPREFIX}/usr docdir=${EPREFIX}/usr/share/doc/${PF} || die "src build fail"
}

src_install() {
	emake CC="$(tc-getCC)" AR="$(tc-getAR)" prefix=${EPREFIX}/usr docdir=${EPREFIX}/usr/share/doc/${PF} install DESTDIR=${D} || die "src install failed"
}
