# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=8

MY_PV=${PV/_p/.pl}

inherit systemd tmpfiles cmake

DESCRIPTION="MARtin Stovers NetWare-Emulator"
HOMEPAGE="http://www.compu-art.de/mars_nwe/"
SRC_URI="https://ftp.disconnected-by-peer.at/ncpfs/mars_nwe-${MY_PV}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND="sys-libs/glibc
	sys-libs/gdbm
	virtual/libcrypt
	|| ( net-misc/ipx-utils net-fs/ncpfs )"
DEPEND="${RDEPEND}"

S="${WORKDIR}/mars_nwe-${MY_PV}"

#PATCHES=(
#	"${FILESDIR}"/mars-nwe-syslog.patch
#)

src_configure() {
	local mycmakeargs=(
	    "-DCMAKE_INSTALL_SYSCONFDIR=/etc"
	    "-DMARS_NWE_PID_DIR=/run/mars_nwe" )

	cmake_src_configure
}

src_install() {
	keepdir /var/lib/mars_nwe/
	keepdir /var/log/mars_nwe/
	keepdir /var/spool/mars_nwe/

	cmake_src_install

	newinitd "${FILESDIR}"/mars-nwe.initd mars-nwe

	systemd_dounit "${FILESDIR}"/mars-nwe.service
	newtmpfiles "${FILESDIR}"/mars-nwe.tmpfilesd mars-nwe.conf
}

pkg_postinst() {
	tmpfiles_process mars-nwe.conf
}