# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit java-pkg-2 java-ant-2 desktop

DESCRIPTION="popular PCB routing and autorouting program"
HOMEPAGE="http://freerouting.net/"
SRC_URI="https://github.com/rbuj/FreeRouting/releases/download/v${PV}/freeroute-${PV}-jar-with-dependencies-linux.jar
	https://raw.githubusercontent.com/rbuj/FreeRouting/master/src/main/resources/icons/32/actions/system-run.png"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="java nls"

DEPEND=">=virtual/jre-11:*"
RDEPEND="${DEPEND}"

S="${WORKDIR}/${P}"

src_unpack() {
	mkdir -p "${S}"
	cp "${DISTDIR}"/freeroute-${PV}-jar-with-dependencies-linux.jar "${S}"/freeroute.jar
}

src_install() {
	java-pkg_newjar freeroute.jar ${PN}.jar
	java-pkg_dojar freeroute.jar
	java-pkg_dolauncher freeroute -jar freeroute.jar
	newicon "${DISTDIR}"/system-run.png ${PN}.png
	make_desktop_entry ${PN} "FreeRouting" ${PN} "Science;Electricity;ComputerScience"
}
